Package Details: vim-x11 8.2.1684-1

Git Clone URL: https://aur.archlinux.org/vim-x11.git (read-only, click to copy)
Package Base: vim-x11
Description: Vi Improved, a highly configurable, improved version of the vi text editor (X11 support, no GUI)
Upstream URL: http://www.vim.org
Licenses: custom:vim
Conflicts: gvim, gvim-python3, vim, vim-minimal, vim-python3
Provides: vim=8.2.1684-1, xxd
Submitter: kuroneko
Maintainer: Thrawn
Last Packager: Thrawn
Votes: 9
Popularity: 0.000192
First Submitted: 2014-09-03 01:39
Last Updated: 2020-09-16 09:22

Dependencies (17)

Required by (431)

Sources (3)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

kuroneko commented on 2015-05-22 02:20

@shemz
Nope. At least two reasons:
1) The official Arch repository uses = and not >=
2) Can you guarantee that this package will work with vim-runtime 7.4.713? 7.4.720? 7.5? 8.0? If not, then = is better.

smahs commented on 2015-05-20 14:46

I wasn't being sarcastic. I do not use Arch that much these days to follow all the changes.
There is still something to optimize here. It might be a good idea to depend on vim_runtime >= pkgver as the version of stock vim_runtime which will always be >= pkgver.

psi-jack commented on 2015-04-30 04:23

Upstream version is 7.4.663

psi-jack commented on 2015-04-30 04:22

Upstream version if 7.4.663

kuroneko commented on 2015-04-10 14:21

@shemz
Fixed. No need to be sarcastic about it.

smahs commented on 2015-04-10 06:29

In the old days, ABS used to have a tag for "provides" to enable dependencies identify alternate builds as a replacement for the corresponding repo package; in this case vim-x11 should provide vim. Can you check if it is still possible?

kuroneko commented on 2015-01-12 23:16

7.4.567 will probably hit the repos in a bit, you just have to tweak the patch level in the PKGBUILD if you don't want to wait for me to update.

scorpp commented on 2015-01-12 17:43

7.4.560 is in repos

kuroneko commented on 2014-11-16 23:55

@onodera
Fixed.

onodera commented on 2014-11-15 23:43

hg is missing as a build dependency.
Thanks for making thise pkgbuild btw!